Bug 374813 - Replace rsync with scp and tar with zip, to work around Windows oddities, r=luser
authorbenjamin@smedbergs.us
Tue, 24 Jul 2007 18:06:11 -0700
changeset 3913 2f184da3fba63d8aa7799c35da4190cf7b688ba5
parent 3912 ba50b24295f4fe03a5c147a40057116f6760ae97
child 3914 ad607ebce317bac62b0f7a65b5edec157db28f00
push idunknown
push userunknown
push dateunknown
reviewersluser
bugs374813
milestone1.9a7pre
Bug 374813 - Replace rsync with scp and tar with zip, to work around Windows oddities, r=luser
toolkit/crashreporter/tools/upload_symbols.sh
--- a/toolkit/crashreporter/tools/upload_symbols.sh
+++ b/toolkit/crashreporter/tools/upload_symbols.sh
@@ -36,15 +36,21 @@
 #
 # ***** END LICENSE BLOCK *****
 #
 # This script expects the following environment variables to be set:
 # AIRBAG_SYMBOL_SERVER  : host to upload symbols to
 # AIRBAG_SYMBOL_USER    : username on that host
 # AIRBAG_SYMBOL_PATH    : path on that host to put symbols in
 #
+set -e
+
 : ${AIRBAG_SYMBOL_SERVER?} ${AIRBAG_SYMBOL_USER?} ${AIRBAG_SYMBOL_PATH?} ${1?"You must specify a symbol archive to upload"}
 archive=`basename $1`
 echo "Transferring symbols... $1"
-rsync -avvz -e "ssh -2" $1 ${AIRBAG_SYMBOL_USER}@${AIRBAG_SYMBOL_SERVER}:${AIRBAG_SYMBOL_PATH}/
+scp -v $1 ${AIRBAG_SYMBOL_USER}@${AIRBAG_SYMBOL_SERVER}:${AIRBAG_SYMBOL_PATH}/
 echo "Unpacking symbols on remote host..."
-ssh -2 -l ${AIRBAG_SYMBOL_USER} ${AIRBAG_SYMBOL_SERVER} "cd ${AIRBAG_SYMBOL_PATH}; tar -xvjf $archive; rm -fv $archive"
+ssh -2 -l ${AIRBAG_SYMBOL_USER} ${AIRBAG_SYMBOL_SERVER} \
+  "set -e;
+   cd ${AIRBAG_SYMBOL_PATH};
+   unzip $archive;
+   rm -v $archive;"
 echo "Symbol transfer completed"